html, body { height:100%; padding:0; margin:0; width:100%; }
.container
{
    display:flex;
    height: 100%;
    justify-content:center;
    align-items: center;
}
.window
{
    box-shadow: 0 2px 5px rgba(0,0,0,.5);
    padding: 10px;
    display: flex;
    flex-direction: column;
    
}
header
{
    color: mediumpurple;
    font-size: 2em;
    text-align:center;
    margin-bottom: 15px;
}
.text
{
    border: 1px solid rgba(0,0,0,.3);
}
input[type=text]
{
    width: 300px;
    outline:none;
    border:none;
    border-bottom: 2px solid mediumpurple;
    margin-bottom: 10px;
}
textarea {resize: vertical; }
@media (max-width: 500px) {
    .window
    {
        box-shadow: none;
    }
    textarea
    {
        width: 80%;
    }
    input[type=text] { width: auto;}
}